Subject: Re: bug#7781: hunspell and latex-mode

From: Agustin Martin <[email-masked]>
Date: Tue, 29 Apr 2014 12:03:25 +0200

On Mon, Apr 28, 2014 at 06:18:10PM +0200, Peter Münster wrote:
> On Mon, Apr 28 2014, Eli Zaretskii wrote:
> 
> > I cannot reproduce this.  If I start "emacs -Q" and try spell-checking
> > your example (with Hunspell being the speller), it works just fine for
> > me: I get suggestions to replace "bla".  Same thing if I load AUCTeX
> > into "emacs -Q" (does AUCTeX even change anything about
> > spell-checking?).
> 
> Hi Eli,
> 
> It's not AUCTeX, I've just tested with normal latex-mode.
> 
> 
> > If "emacs -Q" doesn't work either, please provide a detailed
> > reproduction recipe starting from "emacs -Q".
> 
> Here a reproduction recipe:
> 
> - create minimal latex file /tmp/test.tex
> - start emacs:
>   LANG=C emacs -Q --eval '(setq ispell-program-name "hunspell")' /tmp/test.tex
> - M-x ispell
> 
> Here are more details about my system:
> 
> In GNU Emacs 24.4.50.2 (x86_64-suse-linux-gnu, GTK+ Version 3.10.4)
>  of 2014-04-20 on micropit

Cannot reproduce it here with emacs-snapshot 24.3.50.1 in Debian. What does
'ps -aux' show for hunspell call when run in xterm? 

-- 
Agustin